#include <cm/_con_mgr.h>

/**
 * \brief Registers terminal commands of the connection manager.
 * Call this function if you need the debug and control commands of the 
 * connection manager.
 */
void con_mgr_register_cmds(void)
{
	con_mgr_stack.cm_reg_cmds();
}

/**
 * \brief Disables BT inquiries.
 * Blocks if an inquiry is already in progress.
 */
void con_mgr_inq_disable(void)
{
	con_mgr_stack.cm_inq_disable();
}

/**
 * \brief Reenables BT inquiries.
 */
void con_mgr_inq_enable(void)
{
	con_mgr_stack.cm_inq_enable();
}

short con_mgr_fill_con_info(u_char* args, u_char* param)
{
	return con_mgr_stack.cm_fill_con_info(args, param);
}

u_char con_mgr_get_rel_cons(bt_hci_con_handle_t *rel_cons)
{
	return con_mgr_stack.cm_get_rel_cons(rel_cons);
}

void con_mgr_register_con_table_cb(struct btstack* bt_stack, HCI_CON_TABLE_CB, void* cb_arg)
{
	con_mgr_stack.con_table_cb = con_table_cb;
	con_mgr_stack.con_table_cb_arg = cb_arg;
}
