#ifndef EEPROM_PARAMS_H
#define EEPROM_PARAMS_H

void eeprom_cmds_add_param(u_char* cmd_name, u_char* eeprom_id, u_long* val_ptr, u_long default_val);

/* tries to read a parameter from the EEPROM. If the EEPROM id of the parameter
 * cannot be found, the parameters current value is written to the EEPROM.
 *
 * Type of data can be 32-bit integer or a String. If a paramter should be of
 * type string, pass the value zero for the 'data_size' argument.
 *
 * Note: only strings consisting of up to 16 characters are stored completely
 * in the EEPROM (if more characters are passed, the string gets truncated),
 * because the current implementation providing EEPROM features
 * (btn-eepromdb.c) does not support strings consisting of more than 16
 * characters.
 */
u_char eeprom_cmds_param_ext_read(u_char* name, u_long* data_ptr, u_long default_val);

void eeprom_cmds_register_cmds(void);

void eeprom_cmds_init(void);

#endif
